import { LitElement, PropertyValues } from 'lit';
/**
 * Tab panel component that holds content for individual tabs.
 * Each tab panel should have a name that matches a corresponding tab.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/tabs--docs)
 */
export declare class WarpTabPanel extends LitElement {
    static styles: import("lit").CSSResult[];
    name: string;
    hidden: boolean;
    connectedCallback(): void;
    updated(changedProperties: PropertyValues<this>): void;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'w-tab-panel': WarpTabPanel;
    }
}
